Bug 74513 - Underlined Words in Calc When Pasted as GDI Metafile into Writer Do Not Appear
Summary: Underlined Words in Calc When Pasted as GDI Metafile into Writer Do Not Appear
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Regressions-GraphicPrimitive2D
  Show dependency treegraph
 
Reported: 2014-02-04 16:25 UTC by noibsguy
Modified: 2020-04-06 19:50 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Shows Lack of Underlined Items from Calc when Pasted into Writer as GDI Metafile (112.88 KB, application/pdf)
2014-02-04 16:25 UTC, noibsguy
Details
Show Lack of Underlining in GDI Metafile Objects Pasted from Calc into Writer (369.48 KB, image/jpeg)
2014-02-04 18:31 UTC, noibsguy
Details
Another simple example of this bug (112.01 KB, image/jpeg)
2014-03-05 15:44 UTC, noibsguy
Details
Shows the Underline Bug (20.71 KB, application/pdf)
2014-10-06 17:30 UTC, noibsguy
Details

Note You need to log in before you can comment on or make changes to this bug.
Description noibsguy 2014-02-04 16:25:58 UTC
Created attachment 93371 [details]
Shows Lack of Underlined Items from Calc when Pasted into Writer as GDI Metafile

Create some things in Calc. Underline some of the words or numbers. For example, add some numbers and underline the last number in the column before the sum. Select that stuff in Calc and paste as a GDI Metafile object into Writer. The underlined items are no longer underlined in Writer. They are not visible and do not print. GDI Metafile objected pasted into a Writer document under previous versions of LibreOffice no longer appear either. That's the bigger problem for people like me. That means is a Writer problems and not a Calc problem.

I'm a college professor (accounting) who has five different 300-plus page Writer documents that my students use in my classes. They have hundreds of GDI Metafile objects pasted from Calc. There are thousands of underlined items (mostly numbers in various calculations) that no longer appear in all of these files under LO 4.2.0. For me this is a critical bug.

I will have to use the LO 4.1.X until this is fixed. Please see the attached pdf file that shows what I've described above.
Comment 1 noibsguy 2014-02-04 18:31:03 UTC
Created attachment 93399 [details]
Show Lack of Underlining in GDI Metafile Objects Pasted from Calc into Writer
Comment 2 noibsguy 2014-02-04 18:33:08 UTC
The encoding for the PDF attachment is wrong. Ignore it.

View the JPEG attachment to see an illustration of this bug.
Comment 3 noibsguy 2014-03-05 15:44:50 UTC
Created attachment 95173 [details]
Another simple example of this bug

My original description of this bug said that it involved pasting a GDI Metafile object into a writer document. It's broader than that. If part of a spreadsheet is copied and then pasted into the same spreadsheet as a GDI Metafile object, nothing underlined in the spreadsheet appears in the GDI Metafile object. See the last attachment.

As I described in my previous description, this bug prevents from from upgrading to 4.2.x. BTW--it's also present in 4.2.1.
Comment 4 Jacques Guilleron 2014-03-06 13:07:56 UTC
Hello noibsguy,

I reproduce with LO 4.2.0.4 but not with LO 4.3.0.0.alpha0+
Build ID: 95700a2d7d09893fe16aadb406e93bf7164f7422
TinderBox: Win-x86@47-TDF, Branch:MASTER, Time: 2014-02-25_10:03:20

I think your report is related to Bug 74584 - Can no longer copy spreadsheet cells from libreoffice calc to another app like thunderbird and paste as html table,
where all formated texts could not be pasted to another external application. 
This was fixed and patch would be available with LO 4.2.2.
I set status to DUPLICATE of this bug. 

Kind regards,

Jacques

*** This bug has been marked as a duplicate of bug 74584 ***
Comment 5 noibsguy 2014-03-06 18:30:40 UTC
Let me add some more detail to this bug (and I do hope it's fixed in LO 4.3).

It's not necessarily related to pasting in the current LO. It relates to any GDI metafile object copied from the spreadsheet and pasted into any LO document in ANY VERSION of LibreOffice but displayed in LO 4.2.X. I have many files that go back to LO 4.0 and before.

If I open any of those files in LO 4.2.X and if those files contain GDI Metafile objects created from the spreadsheet and if those objects contain any underlined words or numbers, none of those items are underlined in LO 4.2.X but they are underlined in every previous version of LO.

This bug relates to the incorrect display of GDI Metafile objects in the current version of LO. Anything underlined (it doesn't relate to spreadsheet borders) in a GDI Metafile displays in LO 4.2.X without the underlining, whether or not the file was created in LO 4.2.2.

I wish I had not used the "paste" word in my original description of this bug. It's a display issue that affects every LO module.

I've checked all pre-release version of LO as of today and this isn't fixed in those versions.
Comment 6 noibsguy 2014-03-06 18:33:55 UTC
The problem now is that this bug is associated with other pasting bugs when that's not the issue. Is it possible for any of the admins to change the title of this bug to more accurately reflect it's nature?
Comment 7 noibsguy 2014-07-30 17:16:34 UTC
One more bump for this bug....

First, it's still present is the most recent release of LO (as of 7/30/14) and is still present in the latest nightly developmental releases (4.3.X).  It's also now present in the most recent release of OpenOffice.

Second, reproducing this bug is easy if you're a Mac user: Start a new calc document. Put a word in several cells in the spreadsheet. Underline the words. Copy the cells. Paste as a GDI Metafile object into a Writer doc or even back into the same spreadsheet as a GDI Metafile oject. Nothing underlined in the source spreadsheet will have an underline in the GDI Metafile object. The underlines don't print either.

Third, the underlines are apparently present because if you view the GDI Metafile object as a bitmap, the underlines are present. I believe that for some unknown reason, the underlines are too thin to appear in LibreOffice under the Mac operating system. It seems unlikely that this bug also affects Windows because ther would be more people reporting it.

Fourth, I am unable to update LO to any version past 4.1.X because of this bug. I have five 300+ page Writer documents with several hundred complex calculations from Calc appearing as GDI Metafile objects. Before literally thousands of totals and subtotals is an underlined number...that is not underlined any more if I use LO 4.2.X+.
Comment 8 Joel Madero 2014-08-05 23:47:52 UTC
REOPENED is reserved for a bug that:

1. a developer has marked as FIXED;
2. a developer is assigned to the bug that is marked as FIXED;

In this case the bug report was never independently confirmed so correct status is UNCONFIRMED. Thanks!
Comment 9 Alex Thurgood 2014-10-06 15:01:57 UTC
Confirming - bug also present in my own master build on OSX 10.9.5
Comment 10 Alex Thurgood 2014-10-06 15:04:32 UTC
To reproduce, follow submitter's instructions in Comment 7
Comment 11 Alex Thurgood 2014-10-06 15:06:36 UTC
Works in
Version: 4.1.4.2
Build ID: 0a0440ccc0227ad9829de5f46be37cfb6edcf72

regression
Comment 12 Alex Thurgood 2014-10-06 15:09:32 UTC
This still works for me in 

Version: 4.2.4.2
Build ID: 63150712c6d317d27ce2db16eb94c2f3d7b699f8
Comment 13 Alex Thurgood 2014-10-06 15:13:27 UTC
OK, so this is weird, it also works for me in

Version: 4.3.2.2
Build ID: edfb5295ba211bd31ad47d0bad0118690f76407d


which would tend to indicate that it is a configuration profile problem, as my LO dev build has a separate profile.
Comment 14 Alex Thurgood 2014-10-06 15:15:58 UTC
@noibsguy : did you let LO create a new user profile, or use an existing one ?
Comment 15 Alex Thurgood 2014-10-06 15:19:31 UTC
Works for me in Version: 4.3.2.2
Build ID: edfb5295ba211bd31ad47d0bad0118690f76407d

with clean profile
Comment 16 Alex Thurgood 2014-10-06 15:21:38 UTC
setting back to default priority/severity pending reproducible conditions
Comment 17 noibsguy 2014-10-06 17:30:17 UTC
Created attachment 107440 [details]
Shows the Underline Bug

See how the underline, when pasted as a GDI Metafile Object, appears to be white. You can see it crossing the bottom of the "g" character.
Comment 18 noibsguy 2014-10-06 17:34:29 UTC
After reading the comments today, I was hopeful. I deleted my user profile (the entire folder within the user Application Support folder).

I'm still seeing the bug. I just created a small PDF file showing how the bug looks. See the Example.pdf file.

What's interesting is that the underline appears to be a white underline that you can see crossing over the bottom the "g" character.

I'm running Mac OS X 10.9.5 on a 2014 retina MacBook Pro.

The PDF I created was from Writer. The first pasted object was a calc8 object. The second was a gdi metafile object.
Comment 19 noibsguy 2014-10-06 17:40:00 UTC
I forgot...I was using a freshly downloaded LO 4.3.2.2.
Comment 20 noibsguy 2014-10-06 21:28:02 UTC
Some additional observations regarding this display bug:

1. It's now present in the latest version of OpenOffice.

2. The missing underline is actually present. If you copy the GDI metafile object pasted into a Writer document and paste it back as a bitmap, the underline shows up--albeit at too low a resolution to make it a good fix.

3. If you right click on the GDI metafile object and compress the image, the underline mostly shows up. The fact that it's kind of distorted might be a clue that someone smarter than I can use.

4. Having antialiasing turned on or off in LO's General preferences doesn't affect the bug.

5. The bug is present under Mac OS 10.9.5 on both a retina MacBook Pro and an older Macbook Air without a retina display. Thus, it's not related to retina displays.

I'm not a programmer so take this with a grain of salt; however, I believe this bug reflects changes in the underlying Mac antialiasing (font smoothing) and how it interacts with the VERY thin underlining in LibreOffice and OpenOffice. I can't test this because Apple has apparently made it very difficult to turn off font smoothing in later version of the Mac OS. Terminal commands I used to use are no longer effective.
Comment 21 Buovjaga 2014-11-27 11:01:35 UTC
(In reply to noibsguy from comment #17)
> Created attachment 107440 [details]
> Shows the Underline Bug
> 
> See how the underline, when pasted as a GDI Metafile Object, appears to be
> white. You can see it crossing the bottom of the "g" character.

Reproduced.

Win 7 64-bit Version: 4.5.0.0.alpha0+
Build ID: b144f0ac8695dd62a2053b4e88212d0b109c9a41
TinderBox: Win-x86@51-TDF, Branch:MASTER, Time: 2014-11-25_00:14:54
Comment 22 Buovjaga 2015-01-10 19:37:57 UTC
LINUX:
No repro in 3.5.
Repro in 4.5.

Ubuntu 14.10 64-bit
LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735

Version: 4.5.0.0.alpha0+
Build ID: 9763b55eb946cf425220d26dab91bf220890b180
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2015-01-08_12:56:53
Comment 23 Michael Weghorn 2015-01-30 23:35:58 UTC
bibisect result:

8aabf2aee6514311020b855a95a6e44bab3a5b0d is the first bad commit
commit 8aabf2aee6514311020b855a95a6e44bab3a5b0d
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Wed Nov 27 09:32:23 2013 +0000

    source-hash-0aa9ced531b8d85ad067c1d156a9708eea628d78
    
    commit 0aa9ced531b8d85ad067c1d156a9708eea628d78
    Author:     Tor Lillqvist <tml@collabora.com>
    AuthorDate: Wed Nov 6 00:43:06 2013 +0200
    Commit:     Tor Lillqvist <tml@collabora.com>
    CommitDate: Wed Nov 6 00:44:28 2013 +0200
    
        It's types.rdb now, not udkapi.rdb any more
    
        Change-Id: If6e8c4862ec628eb4c052e0fd237f5aef89db8eb

:100644 100644 ce5cd8dc3c3a6fdc22ae8e4f63897ab07254eddb 867d2798c91ad285850e29c0e8d0f40548dff4fb M	ccache.log
:100644 100644 405359894d6958b64eb7f2beb6f8a48550779f95 e461af99260d551289a2dd1f188119438cf1fc19 M	commitmsg
:100644 100644 0c7b842ac949f66eaa350d1ac25b0d6ccc407841 ab6adaea7a96b5d6d10dda3f10504fd1f005cfcf M	make.log
:040000 040000 216184b3333359e5a1395b47d1551dd3b61d2f04 d765efa8f9bd443222a2a557954f9dd4997fd3e7 M	opt

---

$ git bisect log
# bad: [752769ad0d2179e17ea0a08cc9004df7b890305b] source-hash-60c64b437c6678dd1d3fa3a6fc2b7da0480890d4
# good: [c2069a369d738078124812312d51f21ea1ce2421] source-hash-f160e4935c474a5293b3d3c11b3d538efb4767a0
git bisect start 'last42onmaster' 'last41onmaster'
# good: [186181c7d6a957b0fcdbc7ff66866f1abfff988e] source-hash-79850f25987d12c8ee91dfd0f699a562f341bf67
git bisect good 186181c7d6a957b0fcdbc7ff66866f1abfff988e
# good: [f0f03d19b3f0418cef7eb8c5b3f060266781016f] source-hash-3ad12d1a540eeb54fbb34afc3b7a76bf9e3207c3
git bisect good f0f03d19b3f0418cef7eb8c5b3f060266781016f
# good: [f0f03d19b3f0418cef7eb8c5b3f060266781016f] source-hash-3ad12d1a540eeb54fbb34afc3b7a76bf9e3207c3
git bisect good f0f03d19b3f0418cef7eb8c5b3f060266781016f
# good: [f0f03d19b3f0418cef7eb8c5b3f060266781016f] source-hash-3ad12d1a540eeb54fbb34afc3b7a76bf9e3207c3
git bisect good f0f03d19b3f0418cef7eb8c5b3f060266781016f
# bad: [8aabf2aee6514311020b855a95a6e44bab3a5b0d] source-hash-0aa9ced531b8d85ad067c1d156a9708eea628d78
git bisect bad 8aabf2aee6514311020b855a95a6e44bab3a5b0d
# bad: [8aabf2aee6514311020b855a95a6e44bab3a5b0d] source-hash-0aa9ced531b8d85ad067c1d156a9708eea628d78
git bisect bad 8aabf2aee6514311020b855a95a6e44bab3a5b0d
# good: [e371c174576801a7865420008f494c0d3f153f1b] source-hash-01a13519e2a12e1e9b61bab1437d340e389e44bf
git bisect good e371c174576801a7865420008f494c0d3f153f1b
# good: [5c95a5c8caeeb347ef97f337a237d66c35261710] source-hash-a6d89e17995987549db36695f3ea490a18f30ba4
git bisect good 5c95a5c8caeeb347ef97f337a237d66c35261710
# good: [5c95a5c8caeeb347ef97f337a237d66c35261710] source-hash-a6d89e17995987549db36695f3ea490a18f30ba4
git bisect good 5c95a5c8caeeb347ef97f337a237d66c35261710
# good: [09fe6d4400fefeaa099d0deb9b77c77992ab897b] source-hash-56364430108893afbcf5d2b51c5aaa37e393e7cc
git bisect good 09fe6d4400fefeaa099d0deb9b77c77992ab897b
# good: [11ac44b0fb233f1f98e2f083598f6720a04e457f] source-hash-3c01203ea657b9a3538f9956591b3d4da5fce6e7
git bisect good 11ac44b0fb233f1f98e2f083598f6720a04e457f
# first bad commit: [8aabf2aee6514311020b855a95a6e44bab3a5b0d] source-hash-0aa9ced531b8d85ad067c1d156a9708eea628d78
Comment 24 Matthew Francis 2015-09-06 05:12:36 UTC
This was introduced in the below commit.
Adding Cc: to caolanm@redhat.com; Could you possibly take a look at this one? Thanks

    commit 2e5167528f7566dd9b000e50fc1610b7bf99132a
    Author:     Armin Le Grand <alg@apache.org>
    AuthorDate: Thu Oct 31 14:43:21 2013 +0000
    Commit:     Caolán McNamara <caolanm@redhat.com>
    CommitDate: Tue Nov 5 15:24:18 2013 +0000
    
        Resolves: #i123500# unified Graphic processing to use GraphicPrimitive2D
    
        (cherry picked from commit f5d69b2b8b002ca6905496a9d9065ef76b5641d7)
    
        Conflicts:
        	sw/source/core/doc/notxtfrm.cxx
    
        Change-Id: I1758aadcbe97ece271277378e62300b895421768
Comment 25 Robinson Tryon (qubit) 2015-12-13 11:09:24 UTC Comment hidden (obsolete)
Comment 26 Xisco Faulí 2016-09-26 15:03:11 UTC
Adding Cc: to Armin Le Grand
Comment 27 Xisco Faulí 2017-09-29 08:51:07 UTC Comment hidden (obsolete)
Comment 28 eisa01 2017-10-21 14:43:53 UTC
This is still present

Version: 6.0.0.0.alpha1+
Build ID: 15dce20e8b97dbd0179f01910ca4d0027e80ff4e
CPU threads: 2; OS: Mac OS X 10.12.6; UI render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2017-10-20_06:46:46
Locale: en-US (en_US.UTF-8); Calc: group
Comment 29 QA Administrators 2019-04-20 02:58:20 UTC Comment hidden (obsolete)
Comment 30 eisa01 2019-04-20 18:32:10 UTC
This is still present

Version: 6.3.0.0.alpha0+
Build ID: ea9c13be02ba731074fa4207944ff7df40a0fb5c
CPU threads: 2; OS: Mac OS X 10.13.6; UI render: default; VCL: osx; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2019-04-10_20:43:17
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded